Subject: Re: [PATCH 1/3] Rough VJ Channel Implementation - vj_core.patch

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 28 Apr 2006 10:10:54 +0400

On Thu, Apr 27, 2006 at 02:12:09PM -0700, Caitlin Bestler ([email-masked]) wrote:
> So the real issue is when there is an intelligent device that
> uses hardware packet classification to place the packet in
> the correct ring. We don't want to bypass packet filtering,
> but it would be terribly wasteful to reclassify the packet.
> Intelligent NICs will have packet classification capabilities
> to support RDMA and iSCSI. Those capabilities should be available
> to benefit SOCK_STREAM and SOCK_DGRAM users as well without it
> being a choice of either turning all stack control over to
> the NIC or ignorign all NIC capabilities beyound pretending
> to be a dumb Ethernet NIC.

Btw, how is it supposed to work without header split capabale hardware?

-- 
	Evgeniy Polyakov